# DynDNS

Dynamic DNS records can be used for assigning hostnames to local devices.

It combines **DHCPv4 server leases** with **IP neigh** and add ALL device addresses to DNS hostnames.

Can be used for assinging **RA addresses to device hostnames**, which are defaultly **NOT** assigned in OpenWrt.

## Instalation

You can install this script via:
```
wget https://git.znachor.cz/znachor/OpenWrt-Tools/raw/branch/master/DynDNS/install.sh -O - | ash
```

Detailed installation with all required steps [can be found here](install.sh).


## Features

- Assign all device IPs to its hostname
- Support network domains
- Automatically add records to dnsmasq
- Automatic trigg on DHCP lease

## Todo

- Assign only addresses from specific subnets (not all)
